uriparser 0.8.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Enumerations
UriBase.h File Reference

## Data Structures
struct | UriIp4Struct
struct | UriIp6Struct

## Typedefs
typedef int | UriBool
typedef struct UriIp4Struct | UriIp4
typedef struct UriIp6Struct | UriIp6
typedef enum UriBreakConversionEnum | UriBreakConversion
typedef enum UriNormalizationMaskEnum | UriNormalizationMask
typedef enum UriResolutionOptionsEnum | UriResolutionOptions

## Enumerations
enum | UriBreakConversionEnum { URI_BR_TO_LF, URI_BR_TO_CRLF, URI_BR_TO_CR, URI_BR_TO_UNIX = URI_BR_TO_LF, URI_BR_TO_WINDOWS = URI_BR_TO_CRLF, URI_BR_TO_MAC = URI_BR_TO_CR, URI_BR_DONT_TOUCH }
enum | UriNormalizationMaskEnum { URI_NORMALIZED = 0, URI_NORMALIZE_SCHEME = 1 << 0, URI_NORMALIZE_USER_INFO = 1 << 1, URI_NORMALIZE_HOST = 1 << 2, URI_NORMALIZE_PATH = 1 << 3, URI_NORMALIZE_QUERY = 1 << 4, URI_NORMALIZE_FRAGMENT = 1 << 5 }
enum | UriResolutionOptionsEnum { URI_RESOLVE_STRICTLY = 0, URI_RESOLVE_IDENTICAL_SCHEME_COMPAT = 1 << 0 }

## Detailed Description

Holds definitions independent of the encoding pass.

## Typedef Documentation

typedef int UriBool

Boolean type

typedef enum UriBreakConversionEnum UriBreakConversion

Specifies a line break conversion mode.Specifies a line break conversion mode.

typedef struct UriIp4Struct UriIp4

Holds an IPv4 address.Holds an IPv4 address.

typedef struct UriIp6Struct UriIp6

Holds an IPv6 address.Holds an IPv6 address.

typedef enum UriNormalizationMaskEnum UriNormalizationMask

Specifies which component of a URI has to be normalized.Specifies which component of a URI has to be normalized.

typedef enum UriResolutionOptionsEnum UriResolutionOptions

Specifies how to resolve URI references.Specifies how to resolve URI references.

## Enumeration Type Documentation

enum UriBreakConversionEnum

Specifies a line break conversion mode.

Enumerator
URI_BR_TO_LF | Convert to Unix line breaks ("\\x0a")
URI_BR_TO_CRLF | Convert to Windows line breaks ("\\x0d\\x0a")
URI_BR_TO_CR | Convert to Macintosh line breaks ("\\x0d")
URI_BR_TO_UNIX | Convert to Unix line breaks ("\\x0a")
URI_BR_TO_WINDOWS | Convert to Windows line breaks ("\\x0d\\x0a")
URI_BR_TO_MAC | Convert to Macintosh line breaks ("\\x0d")
URI_BR_DONT_TOUCH | Copy line breaks unmodified

enum UriNormalizationMaskEnum

Specifies which component of a URI has to be normalized.

Enumerator
URI_NORMALIZED | Do not normalize anything
URI_NORMALIZE_SCHEME | Normalize scheme (fix uppercase letters)
URI_NORMALIZE_USER_INFO | Normalize user info (fix uppercase percent-encodings)
URI_NORMALIZE_HOST | Normalize host (fix uppercase letters)
URI_NORMALIZE_PATH | Normalize path (fix uppercase percent-encodings and redundant dot segments)
URI_NORMALIZE_QUERY | Normalize query (fix uppercase percent-encodings)
URI_NORMALIZE_FRAGMENT | Normalize fragment (fix uppercase percent-encodings)

enum UriResolutionOptionsEnum

Specifies how to resolve URI references.

Enumerator
URI_RESOLVE_STRICTLY | Full RFC conformance
URI_RESOLVE_IDENTICAL_SCHEME_COMPAT | Treat URI to resolve with identical scheme as having no scheme